plugins['navbarlogo'] = (function() {

    return {

        insertLogo: function() {

            var imagePath   = pluginconfig['navbarlogo']['image_path'][''];
            var imageWidth  = pluginconfig['navbarlogo']['image_width'][''];
            var imageHeight = pluginconfig['navbarlogo']['image_height'][''];

            if (!imagePath || !imageWidth || !imageHeight) {
                console.error('Navbar Logo Plugin: Invalid configuration parameters.');
                return;
            }

            var placementDiv = document.getElementById('logo-placement');
            // Verifica se a logomarca já existe na div antes de adicionar uma nova
            if (placementDiv && placementDiv.getElementsByTagName('img').length === 0) {
                var logo = new Image();
                logo.src = imagePath;
                logo.alt = 'Logo';
                logo.style.width = imageWidth;
                logo.style.height = imageHeight;
                placementDiv.appendChild(logo);
            } else if (!placementDiv) {
                console.error('Navbar Logo Plugin: unable to find logo div.');
            }
        },

        init: function() {
            if($('#logo-placement').length == 0) {
                $('#actionbar').before('<div id="logo-placement" class="hidden-xs hidden-sm"></div>');
            }
            this.insertLogo();
        }
    }
}());
